## solfege-1.4.5.tar.gz

=== debian/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = debian

include $(depth)/Makefile.inc

dist_files = Makefile changelog control copyright dirs docs\
	solfege.postinst solfege.postrm solfege.prerm rules solfege.menu\
	solfege.doc-base

install:
uninstall:
clean:
distclean:
	rm -rf solfege
	rm -f *.debhelper
	rm -f files
	rm -f solfege.substvars

=== lesson-files/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = lesson-files

include $(depth)/Makefile.inc

data-installfiles = $(filter-out Makefile CVS,$(wildcard *))
dist_files = Makefile $(data-installfiles)

install: data-install

uninstall: data-uninstall

clean:
distclean:

=== po/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = po
include $(depth)/Makefile.inc

dist_files = Makefile $(wildcard *.po *.pot)

LANGUAGES=no de it fr nl da ru

all:
	# .po -> .mo
	for lang in $(LANGUAGES); do \
	  $(MSGFMT) $$lang.po -o $$lang.mo; \
	  $(MSGFMT) $(PACKAGE)-intervallnames-$$lang.po -o $(PACKAGE)-intervallnames-$$lang.mo; \
	done
	$(MAKE) run-from-srcdir

po-update: all # solfege.po -> .po
	for lang in $(LANGUAGES); do \
	  cp $$lang.po tmpfile; \
	  $(MSGMERGE) tmpfile $(PACKAGE).po > $$lang.po; \
	  cp $(PACKAGE)-intervallnames-$$lang.po tmpfile;\
	  $(MSGMERGE) tmpfile $(PACKAGE)-intervallnames.pot > $(PACKAGE)-intervallnames-$$lang.po; \
	done
	rm tmpfile

run-from-srcdir:
	# we to this just to make life simpler when running from source dir
	for lang in $(LANGUAGES); do \
	  mkdir -p $(depth)/share/locale/$$lang/LC_MESSAGES ; \
	  cp $$lang.mo $(depth)/share/locale/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
	  cp $(PACKAGE)-intervallnames-$$lang.mo $(depth)/share/locale/$$lang/LC_MESSAGES/$(PACKAGE)-intervallnames.mo; \
	done

install: mkinstalldirs
	for lang in $(LANGUAGES); do \
	  $(INSTALL_DATA) $$lang.mo $(datadir)/locale/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
	  $(INSTALL_DATA) $(PACKAGE)-intervallnames-$$lang.mo $(datadir)/locale/$$lang/LC_MESSAGES/$(PACKAGE)-intervallnames.mo; \
	done

uninstall:
	for lang in $(LANGUAGES); do \
	  rm -f $(datadir)/locale/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
	  rm -f $(datadir)/locale/$$lang/LC_MESSAGES/$(PACKAGE)-intervallnames.mo; \
	done

mkinstalldirs:
	for lang in $(LANGUAGES); do \
	  mkdir -p $(datadir)/locale/$$lang/LC_MESSAGES; \
	done

clean:
	rm -f *.mo *~

distclean: clean

=== test/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = test

include $(depth)/Makefile.inc

dist_files = Makefile README $(wildcard *.c *.py)

install:
uninstall:
clean:
distclean:

=== tools/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = tools

include $(depth)/Makefile.inc

dist_files = Makefile $(wildcard *.py *.c)

install:
uninstall:
clean:
distclean:

=== xpm/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = xpm

include $(depth)/Makefile.inc

data-installfiles = $(wildcard *.xpm)
dist_files = Makefile $(data-installfiles)

install: data-install

uninstall: data-uninstall

clean:
distclean:

=== gnomeemu/xpm/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

depth = ../..
name = gnomeemu/xpm

include $(depth)/Makefile.inc

data-installfiles = $(wildcard *.xpm)
dist_files = Makefile $(data-installfiles)

clean:
distclean:
install: data-install

uninstall: data-uninstall

=== online-docs/C/Makefile ===
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

depth=../..
name = online-docs/C

include $(depth)/Makefile.inc
include ../Rules.make

dist_files := $(dist_files) GPL.html fdl.texi

data-installfiles := $(data-installfiles) AUTHORS.html GPL.html fdl.html

all: $(html_target) AUTHORS.html fdl.html

=== online-docs/nl/Makefile ===
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

depth=../..
name = online-docs/nl

include $(depth)/Makefile.inc
include ../Rules.make

=== online-docs/png/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ../..
name = online-docs/png

include $(depth)/Makefile.inc

data-installfiles = $(wildcard *.png)
dist_files = Makefile $(data-installfiles)

install: data-install

uninstall: data-uninstall

clean:
distclean:

=== debian/changelog ===
solfege (1.4.4-1) unstable; urgency=low

  * Documentation cleanup release.

 -- Tom Cato Amundsen <tca@debian.org>  Mon, 11 Mar 2002 15:01:11 +0100

solfege (1.4.3-1) unstable; urgency=low

  * Bugfix release only.

 -- Tom Cato Amundsen <tca@debian.org>  Mon, 11 Feb 2002 11:22:57 +0100

solfege (1.4.2-1) unstable; urgency=low

  * Bugfix release only.

 -- Tom Cato Amundsen <tca@debian.org>  Tue, 22 Jan 2002 17:49:59 +0100

solfege (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Fixes broken config init. /usr/share/solfege/default.config was
    not read by reread_data() (closes: #126350, #126433)

 -- Tom Cato Amundsen <tca@debian.org>  Tue, 25 Dec 2001 22:40:36 +0100

solfege (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Fix spelling error in package description. (closes: #125371)

 -- Tom Cato Amundsen <tca@debian.org>  Sat, 22 Dec 2001 18:58:45 +0100

solfege (1.2.2-1) unstable; urgency=low
  * Build depend on new libgtkhtml20 (closes: #124023). Use gtkhtml
  instead of xmhtml as html widget.
  * New stable release.
  * Added solfege.doc-base

 -- Tom Cato Amundsen <tca@debian.org>  Fri, 14 Dec 2001 23:24:53 +0100

solfege (1.2.1-2) unstable; urgency=low

  * Updated to new python policy. (closes: #118522)
  * make /etc/gnome/config/solfege1.2 a conffile 
  * Added build-depends on python since the configure script use the
  python interpreter.

 -- Tom Cato Amundsen <tca@debian.org>  Wed,  7 Nov 2001 19:01:16 +0100

solfege (1.2.1-1) unstable; urgency=low

  * New stable release. 

 -- Tom Cato Amundsen <tca@debian.org>  Sun,  9 Sep 2001 09:37:18 +0200

solfege (1.1.5-1) unstable; urgency=low

  * New development release. This is release candidate 2, and a
  new stable release will be out soon.
  * Added support for tuplets. (closes: #101261)
  * Added some build-depends.
  * Depends and Build-Depends on python 1.5.2. Solfege works with
  python 2.x, but we need a GPL compatible python.

 -- Tom Cato Amundsen <tca@debian.org>  Sat, 11 Aug 2001 00:20:17 +0200

solfege (1.0.4-1) unstable; urgency=low

  * Fixes screwed up debian/rules. (closes: #96785) Since I am both
  debian developer and upstream I give it a new upstream version
  and does this upload the proper way with a diff.gz so I can fix
  packaging errors without uploading a new tarball.

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 10 May 2001 00:16:16 +0200

solfege (1.0.3-1) unstable; urgency=low

  * New upstream release. Bugfixes to sound init code and added
  dutch translations. Bugfix to random_transpose.

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 29 Apr 2001 13:44:10 +0200

solfege (1.0.1-1) unstable; urgency=medium

  * New upstream release. Bugfixes only.
  * This release will try to treat m68k as the other arches to see
  if it will build with OSS sound support.

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 12 Apr 2001 21:15:03 +0200

solfege (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Tom Cato Amundsen <tca@debian.org>  Sun,  1 Apr 2001 15:25:26 +0200

solfege (0.7.38-1) unstable; urgency=low

  * New upstream release.

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 15 Mar 2001 23:15:08 +0100

solfege (0.7.35-1) unstable; urgency=low

  * New upstream release.
  * Debian package for m68k is configure with --disable-oss-sound
  until the binutils bugs are fixed.

 -- Tom Cato Amundsen <tca@debian.org>  Mon,  5 Mar 2001 18:02:48 +0100

solfege (0.7.33-1) unstable; urgency=medium

  * New upstream release. Bugfixes.

 -- Tom Cato Amundsen <tca@debian.org>  Wed, 28 Feb 2001 12:25:08 +0100

solfege (0.7.32-1) unstable; urgency=low

  * New upstream release.

 -- Tom Cato Amundsen <tca@debian.org>  Mon, 26 Feb 2001 00:26:51 +0100

solfege (0.7.31-1) unstable; urgency=low

  * New upstream release. Mostly bugfixes.
  * Standards-Version: 3.5.1.0

 -- Tom Cato Amundsen <tca@debian.org>  Fri, 23 Feb 2001 19:21:58 +0100

solfege (0.7.30-1) unstable; urgency=low

  * New upstream release.

 -- Tom Cato Amundsen <tca@debian.org>  Tue, 20 Feb 2001 22:41:53 +0100

solfege (0.7.29-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Fri,  2 Feb 2001 22:51:24 +0100

solfege (0.7.28-2) unstable; urgency=low

  * Added python-gnome to build-depends (closes: #84367)

 -- Tom Cato Amundsen <tca@debian.org>  Thu,  1 Feb 2001 21:04:53 +0100

solfege (0.7.28-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 21 Jan 2001 22:21:29 +0100

solfege (0.7.27-1) unstable; urgency=low

  * New upsteam release

 -- Tom Cato Amundsen <tca@debian.org>  Sat,  9 Dec 2000 18:05:42 +0100

solfege (0.7.26-2) unstable; urgency=low

  * Don't import gtkhtml unless the user want to use it (closes: #77306) 

 -- Tom Cato Amundsen <tca@debian.org>  Sat, 18 Nov 2000 02:49:48 +0100

solfege (0.7.26-1) unstable; urgency=low

  * New development release

 -- Tom Cato Amundsen <tca@debian.org>  Fri, 10 Nov 2000 22:39:35 +0100

solfege (0.7.25-1) unstable; urgency=low

  * New development release 

 -- Tom Cato Amundsen <tca@debian.org>  Wed,  8 Nov 2000 22:14:32 +0100

solfege (0.7.24-1) unstable; urgency=low

  * New development release, only minor fixes. 

 -- Tom Cato Amundsen <tca@gnu.org>  Sat, 14 Oct 2000 00:33:58 +0200

solfege (0.7.23-1) unstable; urgency=low

  * New development release, only minor fixes.

 -- Tom Cato Amundsen <tca@gnu.org>  Thu, 28 Sep 2000 21:51:20 +0200

solfege (0.7.22-1) unstable; urgency=low

  * New development release, fixing problem with music displayer
  when using gtk-themes.

 -- Tom Cato Amundsen <tca@gnu.org>  Wed, 27 Sep 2000 23:59:01 +0200

solfege (0.7.21-1) unstable; urgency=low

  * New development release

 -- Tom Cato Amundsen <tca@gnu.org>  Sun, 10 Sep 2000 16:45:17 +0200

solfege (0.7.20-1) unstable; urgency=low

  * New development release

 -- Tom Cato Amundsen <tca@gnu.org>  Fri, 25 Aug 2000 01:44:05 +0200

solfege (0.7.19-1) unstable; urgency=low



=== debian/control ===
Source: solfege
Section: sound
Priority: optional
Maintainer: Tom Cato Amundsen <tca@debian.org>
Build-Depends: swig, gettext, python2.1-dev, debhelper (>=3.0.0), m4, libgnome-dev, texinfo, python-gnome (>=1.0.50)
Standards-Version: 3.5.2.0

Package: solfege
Architecture: any
Depends: python-gnome (>=1.0.50), python-gtk (>= 0.6.3), python (>= 2.1), python (<< 2.2), doc-base, ${shlibs:Depends}
Description: Ear training program for GNOME
 GNU Solfege is an ear training program for X Window written in python,
 using the GTK+ and GNOME libraries.
 .
 Ear training is a big subject with many connections to music theory
 and performance of music, so I won't even try to make "a complete
 computer-based eartraining course". But I hope someone find this
 software useful.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir
	./configure --sysconfdir=/etc --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-tuner --with-gtkhtml
	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/solfege.
	$(MAKE) install VERSION="" nopycompile=YES prefix=`pwd`/debian/solfege/usr sysconfdir=`pwd`/debian/solfege/etc datadir=`pwd`/debian/solfege/usr/share
	cp debian-solfege.py debian/solfege/usr/bin/solfege
	mkdir -p debian/solfege/usr/X11R6/include/X11/pixmaps
	cp xpm/singintervall24.xpm debian/solfege/usr/X11R6/include/X11/pixmaps/solfege.xpm

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	rm debian/solfege/usr/share/doc/solfege/INSTALL
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link /usr/share/solfege/online-docs /usr/share/doc/solfege/online-docs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
